Package org.zkoss.zkmax.ui.event

## Class PortalMoveEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zkmax.ui.event.PortalMoveEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class PortalMoveEvent
      extends Event

  Represents an event caused by a portal being moved.

  Available in ZK EE

  Since:
    5.0.0
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PortalMoveEvent​(java.lang.String evtnm, Component target, Portalchildren from, Portalchildren to, Panel dragged, int droppedIndex)` | Constructs a ColumnMoved event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Panel` | `getDragged()` | Returns the panel being dragged.
    `int` | `getDroppedIndex()` | Returns the dropped index.
    `Portalchildren` | `getFrom()` | Returns the portalchildren from the dragged panel.
    `static PortalMoveEvent` | `getPortalMoveEvent​(AuRequest request)` | Converts an AU request to a portal-move event.
    `Portalchildren` | `getTo()` | Returns the portalchildren where the dragged panel drops to.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PortalMoveEvent

          public PortalMoveEvent​(java.lang.String evtnm,
                                 Component target,
                                 Portalchildren from,
                                 Portalchildren to,
                                 Panel dragged,
                                 int droppedIndex)

      Constructs a ColumnMoved event.
      Since:
        5.0.0

  - ### Method Detail

    - #### getPortalMoveEvent

          public static final PortalMoveEvent getPortalMoveEvent​(AuRequest request)

      Converts an AU request to a portal-move event.
      Since:
        5.0.0

    - #### getFrom

          public Portalchildren getFrom()

      Returns the portalchildren from the dragged panel.

    - #### getTo

          public Portalchildren getTo()

      Returns the portalchildren where the dragged panel drops to.

    - #### getDragged

          public final Panel getDragged()

      Returns the panel being dragged.

    - #### getDroppedIndex

          public int getDroppedIndex()

      Returns the dropped index.
      Since:
        3.6.0